
From: Rik van Riel <riel@redhat.com>

I forgot to also update rwsem-spinlock.h.  Here is the equivalent change
for that file.

Signed-off-by: Rik van Riel <riel@redhat.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 include/linux/rwsem-spinlock.h |    9 ++-------
 1 files changed, 2 insertions(+), 7 deletions(-)

diff -puN include/linux/rwsem-spinlock.h~add-sem_is_read-write_locked-fix-2 include/linux/rwsem-spinlock.h
--- devel/include/linux/rwsem-spinlock.h~add-sem_is_read-write_locked-fix-2	2005-09-04 12:57:22.000000000 -0700
+++ devel-akpm/include/linux/rwsem-spinlock.h	2005-09-04 12:57:22.000000000 -0700
@@ -61,14 +61,9 @@ extern void FASTCALL(__up_read(struct rw
 extern void FASTCALL(__up_write(struct rw_semaphore *sem));
 extern void FASTCALL(__downgrade_write(struct rw_semaphore *sem));
 
-static inline int sem_is_read_locked(struct rw_semaphore *sem)
+static inline int rwsem_is_locked(struct rw_semaphore *sem)
 {
-	return (sem->activity > 0);
-}
-
-static inline int sem_is_write_locked(struct rw_semaphore *sem)
-{
-	return (sem->activity < 0);
+	return (sem->activity != 0);
 }
 
 #endif /* __KERNEL__ */
_
